Security and Quality Rollup for the .NET Framework 3.5 Service Pack 1, 4.5.2, 4.6, 4.6.1, and 4.6.2 updates for Windows 8.1 and Windows Server 2012 R2: May 9, 2017

Applies to: .NET Framework 4.6.2.NET Framework 4.6.1.NET Framework 4.6 More

Summary


This security update for the Microsoft .NET Framework resolves a security feature bypass vulnerability in which the .NET Framework (and the .NET Core) components don't completely validate certificates. To learn more about this vulnerability, see Microsoft Common Vulnerabilities and Exposures CVE-2017-0248.

This update also contains security-enhancing fixes to the Windows Presentation Framework PackageDigitalSignatureManager component's ability to sign packages with the SHA256 hash algorithm.

Important

  • All future security and nonsecurity updates for Windows RT 8.1, Windows 8.1, and Windows Server 2012 R2 will require update 2919355 to be installed. We recommend that you install update 2919355 on your Windows RT 8.1-based, Windows 8.1-based, or Windows Server 2012 R2-based computer so that you receive future updates.
  • If you install a language pack after you install this update, you must reinstall this update. Therefore, we recommend that you install any language packs that you need before you install this update. For more information, see Add language packs to Windows.

Additional information about this security update


The following articles contain additional information about this security update as it relates to individual product versions. The articles may contain known issue information.
 
  • 4014507 Description of the Security and Quality Rollup for the .NET Framework 4.6.2 for Windows 8.1 and Windows Server 2012 R2: May 9, 2017
  • 4014510 Description of the Security and Quality Rollup for the .NET Framework 4.6 and 4.6.1 for Windows 8.1 and Windows Server 2012 R2: May 9, 2017
  • 4014512 Description of the Security and Quality Rollup for the .NET Framework 4.5.2 for Windows 8.1 and Windows Server 2012 R2: May 9, 2017
  • 4014505 Description of the Security and Quality Rollup for the .NET Framework 3.5 Service Pack 1 for Windows 8.1 and Windows Server 2012 R2: May 9, 2017

How to obtain help and support for this security update


Applies to


This article applies to the following:
 
  • Microsoft .NET Framework 3.5 Service Pack 1, 4.5.2, 4.6, 4.6.1, and 4.6.2 when used with:
    • Windows Server 2012 R2
    • Windows 8.1